;
;------------ STACK --------------------------------
;
stack	segment para stack 'stack'
		db 256 dup ('stack   ')
stack	ends
;
;-----------------------------------------------------
;
;
;------------ CODE ----------------------------------
;
cseg		segment para public 'code'
		assume cs:cseg,ds:cseg,es:cseg,ss:stack
;
;---------- INITINT --------------------------------
;
intxt	proc far
        	cli
		push ds
		push es
		mov dx,cs
		mov es,dx
		mov ds,dx
		lea dx,int
		mov ax,250Ah
		int 21h
		in al,21h
		and al,0FBh
		mov intmask,ax
		out 21h,al
		mov dx,0300h
		mov ah,0Ch
		call get
		in al,61h
		or al,08h
		out 61h,al
		in al,62h
		test al,01h
		jnz monodisp
		mov disptype,0B800h
		jmp last
monodisp:	mov disptype,0B000h
last:	lea ax,last_adr
		and ax,0FFF0h
		add ax,0010h
		mov dx,ax
		mov ax,3100h
		pop es
		pop ds
		sti
		int 21h
intxt	endp
;
;---------- INT ----------------------------------------
;
int		proc far
         	cli
		push ax
		push dx
more:	push cx
		push bx
		push di
		push si
		push bp
		push ds
		push es
		mov ax,cs
		mov ds,ax
		mov es,ax
		mov bp,0
		mov dx,0300h
		call intvekt
		mov al,62h
		out 20h,al
		pop es
		pop ds
		pop bp
		pop si
		pop di
		pop bx
		pop cx
		mov dx,0305h
		in al,(dx)
		xor al,0FFh
		jnz more
		pop dx
		pop ax
		sti
		iret
int		endp
;
		include intvekt.asm
		include inttable.asm
		include clivekt.asm
		include alarm.asm
		include period.asm
		include clockint.asm
		include resin.asm
		include dbint.asm
		include nolegint.asm
		include dispint.asm
		include get.asm
;
intmask	dw 1 dup(?)
;
disptype	dw 1 dup (?)
;
last_adr 	dw 1 dup(?)
;
cseg		ends
		end
