;--------- CLIVEKT -------------------------------------
;
;  DX=PC4680 base adress
;
;  Interrupt routine call select for clock interrupts
;
;-------------------------------------------------------
;
clivekt	proc near
		mov ah,0Bh
		call get
		mov al,cl
		or al,8Fh
		push ax
		mov ah,0Ch
		call get
		pop ax
		and cl,al
		mov bx,cx
IRQF:	test cl,80h
		jz exit
PF:		test cl,40h
		jz AF
		call period
		mov cx,bx
AF:   	test cl,20h
		jz UF
		call alarm
		mov cx,bx
UF: 		test cl,10h
		jz exit
		call clockint
exit:	mov cx,bx
     	ret
clivekt	endp
